AuthenticatedEntry (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.keyring.AuthenticatedEntry,AuthenticatedEntry class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.keyring
Class AuthenticatedEntry

    java.lang.Object
      |
      +--gnu.crypto.keyring.Entry
            |
            +--gnu.crypto.keyring.EnvelopeEntry
                  |
                  +--gnu.crypto.keyring.MaskableEnvelopeEntry
                        |
                        +--gnu.crypto.keyring.AuthenticatedEntry

All Implemented Interfaces:
  Registry

public final class AuthenticatedEntry
extends MaskableEnvelopeEntry
implements Registry

Field Summary
`static int` | `TYPE`

Fields inherited from class gnu.crypto.keyring.MaskableEnvelopeEntry
`masked`

Fields inherited from class gnu.crypto.keyring.EnvelopeEntry
`containingEnvelope, entries`

Fields inherited from class gnu.crypto.keyring.Entry
`payload, properties, type`

Fields inherited from interface gnu.crypto.Registry
`AES_CIPHER, ANUBIS_CIPHER, ARCFOUR_PRNG, BLOWFISH_CIPHER, CAST_128_CIPHER, CAST128_CIPHER, CAST5_CIPHER, CBC_MODE, CFB_MODE, CTR_MODE, DES_CIPHER, DESEDE_CIPHER, DH_KA, DH_KPG, DSA_KPG, DSA_SIG, DSS_KPG, DSS_SIG, ECB_MODE, ELGAMAL_KA, EME_PKCS1_V1_5_PAD, GKR_CERTIFICATES, GKR_CIPHER_AES_128_CBC, GKR_CIPHER_AES_128_OFB, GKR_HMAC_MD5_128, GKR_HMAC_MD5_96, GKR_HMAC_SHA_160, GKR_HMAC_SHA_96, GKR_MAGIC, GKR_PRIVATE_KEYS, GKR_PUBLIC_CREDENTIALS, GNU_CRYPTO, HAVAL_HASH, HMAC_NAME_PREFIX, ICM_MODE, ICM_PRNG, KHAZAD_CIPHER, MAGIC_RAW_DH_PRIVATE_KEY, MAGIC_RAW_DH_PUBLIC_KEY, MAGIC_RAW_DSS_PRIVATE_KEY, MAGIC_RAW_DSS_PUBLIC_KEY, MAGIC_RAW_DSS_SIGNATURE, MAGIC_RAW_RSA_PRIVATE_KEY, MAGIC_RAW_RSA_PSS_SIGNATURE, MAGIC_RAW_RSA_PUBLIC_KEY, MAGIC_RAW_SRP_PRIVATE_KEY, MAGIC_RAW_SRP_PUBLIC_KEY, MD_PRNG, MD2_HASH, MD4_HASH, MD5_HASH, NULL_CIPHER, OFB_MODE, PBKDF2_PRNG_PREFIX, PKCS7_PAD, QOP_AUTH, QOP_AUTH_CONF, QOP_AUTH_INT, RAW_ENCODING, RAW_ENCODING_ID, RC4_PRNG, REUSE_FALSE, REUSE_TRUE, RIJNDAEL_CIPHER, RIPEMD_128_HASH, RIPEMD_160_HASH, RIPEMD128_HASH, RIPEMD160_HASH, RSA_KPG, RSA_PKCS1_V1_5_SIG, RSA_PSS_SIG, SASL_ANONYMOUS_MECHANISM, SASL_AUTH_INFO_PROVIDER_PKGS, SASL_AUTHORISATION_ID, SASL_BUFFER_MAX_LIMIT, SASL_CALLBACK_HANDLER, SASL_CHANNEL_BINDING, SASL_CRAM_MD5_MECHANISM, SASL_FOUR_BYTE_MAX_LIMIT, SASL_HMAC_MD5_IALG, SASL_HMAC_SHA_IALG, SASL_ONE_BYTE_MAX_LIMIT, SASL_PASSWORD, SASL_PLAIN_MECHANISM, SASL_PREFIX, SASL_PROTOCOL, SASL_SERVER_NAME, SASL_SRP_MECHANISM, SASL_TWO_BYTE_MAX_LIMIT, SASL_USERNAME, SERPENT_CIPHER, SERVER_AUTH_FALSE, SERVER_AUTH_TRUE, SHA_1_HASH, SHA_HASH, SHA1_HASH, SHA160_HASH, SHA256_HASH, SHA384_HASH, SHA512_HASH, SQUARE_CIPHER, SRP_KPG, SRP_SASL_KA, SRP_TLS_KA, SRP6_KA, STRENGTH_HIGH, STRENGTH_LOW, STRENGTH_MEDIUM, TBC_PAD, TIGER_HASH, TMMH16, TRIPLEDES_CIPHER, TWOFISH_CIPHER, UHASH32, UMAC_PRNG, UMAC32, WHIRLPOOL_HASH`

Constructor Summary
`AuthenticatedEntry(java.lang.String mac, int macLen, Properties properties)`

Method Summary
`void` | `authenticate(byte[] key)` Computes the mac over this envelope's data.
`static AuthenticatedEntry` | `decode(java.io.DataInputStream in)`
`protected void` | `encodePayload()` This method is called of subclasses when the payload data needs to be created.
`void` | `verify(byte[] key)` Verifies this entry's payload.

Methods inherited from class gnu.crypto.keyring.MaskableEnvelopeEntry
`add, containsEntry, get, getEntries, isMasked, remove, remove, setMasked`

Methods inherited from class gnu.crypto.keyring.EnvelopeEntry
`containsAlias, decodeEnvelope, getAliasList, setContainingEnvelope`

Methods inherited from class gnu.crypto.keyring.Entry
`defaultDecode, encode, getPayload, getProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final int TYPE

See Also:
  Constant Field Values

Constructor Detail

### AuthenticatedEntry

    public AuthenticatedEntry(java.lang.String mac,
                              int macLen,
                              Properties properties)

Method Detail

### decode

    public static AuthenticatedEntry decode(java.io.DataInputStream in)
                                     throws java.io.IOException

    `java.io.IOException`

### authenticate

    public void authenticate(byte[] key)
                      throws java.io.IOException,
                             java.security.InvalidKeyException

  Computes the mac over this envelope's data. This method must be called before this entry in encoded.

  Parameters:
    `key` - The key to authenticate with.
  Throws:
    `java.io.IOException` - If encoding fails.
    `java.security.InvalidKeyException` - If the supplied key is bad.

### verify

    public void verify(byte[] key)
                throws java.security.InvalidKeyException

  Verifies this entry's payload. This method will unmask this entry, thus it must be called before accessing its contents.

  Parameters:
    `key` - The key to use to authenticate.
  Throws:
    `java.security.InvalidKeyException` - If the given key is improper.

### encodePayload

    protected void encodePayload()
                          throws java.io.IOException

  Description copied from class: `Entry`
  This method is called of subclasses when the payload data needs to be created.

  Overrides:
    `encodePayload` in class `EnvelopeEntry`
  Throws:
    `java.io.IOException` - If an encoding error occurs.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.